;	===============================================================
;	PRINT.CPY - Print Infoblock structure
;	===============================================================
;
;	Copyright 1997-1999 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 1-13-97
;	Added tiling/sheets data, CurPRIBVer 2 1-4-99
;
CurPRIBVer		equ	3		;current version

PRIB			struc
ERLen			dword	SIZEOF (PRIB)	;std info block header
EType			byte	ET_IB		;EType = Info Block
IType			byte	IB_PRINT	;IB type = Print Settings
Creator			word	0		;XPID (0=core)
AllocLen		dword	sizeof(PRIB)	;allocation length
IBVer			word	CurPRIBVer	;this version #
;
dmFields		dword	0	;order,size same as DEVMODE
dmOrientation		word	0	;single partial block of data
dmPaperSize		word	0
dmPaperLength		word	0
dmPaperWidth		word	0
dmScale			word	0
dmCopies		word	0
dmDefaultSource		word	0
dmPrintQuality		word	0
dmColor			word	0
dmDuplex		word	0
dmYResolution		word	0
dmTTOption		word	0

OurPrData		dword	EndOurPrData-OurPrData	;our pgm data
ViewRB			dword	2		;0 named 1 all 2 current
ScaleRB			dword	1		;0 scale 1 fit
PDist			real4	1.0		;paperdist
DDist			real4	1.0		;drawing distance
PrSwapColor		dword	1		;color swap mode for printing
valid			db	0		;valid data flag
szCurName		db	46 dup (0)	;current view name
			db	0		;unused - align
;
TileNX			dword	1		;# horizontal tiles
TileNY			dword	1		;# vertical tiles
TileOvl			dword	0		;tile overlap, % (0..100)
SheetN			dword	0		;Sheet Select
SheetF			dword	1		;1=common prints on all sheets
PBkgnd			dword	0		;1 = print background
			dword	9 dup (0)	;reserved
EndOurPrData		db	0FEh		;end marker
PRIB			ends

;		DEVMODE data block copy size in bytes
;		PRINT.ASM::GetPrintIB depends on this

PRIBcsz		equ	PRIB.OurPrData-PRIB.dmFields

DEVMcnt		equ	12			;# words to set in DEVMODE
;						;from the PRIB
;						;dmOrientation..dmTTOption
;						;must get to OurPrData
;						;PRINT.ASM::UpdPrintIB
;						;depends on this.
