;	===============================================================
;	XP.CPY - ASM XP module standard header file
;	===============================================================
;
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 3-25-96
;
;	This module is included as the first non-comment line in all
;	XP modules.

;	---------------------------------------------------------------
;	Standard include files (order is important)
;	---------------------------------------------------------------

	include	\fcw6\xp6dev\WINENV\WINENV.CPY
	include	\fcw6\xp6dev\RSCID.CPY
	include	\fcw6\xp6dev\FORMST.CPY
	include	\fcw6\xp6dev\PACKETS.CPY
	include	\fcw6\xp6dev\GEOMETRY.CPY
	include	\fcw6\xp6dev\MATDEF.CPY
	include	\fcw6\xp6dev\ESTRUC.CPY
	include	\fcw6\xp6dev\ESTRUCO.CPY
	include	\fcw6\xp6dev\IBMGR.CPY
	include	\fcw6\xp6dev\RECLIST.CPY
	include	\fcw6\xp6dev\RDATA.CPY
	include	\fcw6\xp6dev\DIALOG.CPY
	include	\fcw6\xp6dev\TXWIN.CPY
	include	\fcw6\xp6dev\HELP.CPY
	include	\fcw6\xp6dev\DEVU.CPY
	include	\fcw6\xp6dev\DWIN.CPY
	include	\fcw6\xp6dev\GRIDS.CPY
	include	\fcw6\xp6dev\SVIB.CPY
	include	\fcw6\xp6dev\XPDEF.CPY
	include	\fcw6\xp6dev\XPSVC.CPY
	include	\fcw6\xp6dev\DLMGR.CPY
	include \fcw6\xp6dev\XPMSG.CPY
	include	\fcw6\xp6dev\LSTYLES.CPY
	include	\fcw6\xp6dev\FSTYLES.CPY
	include	\fcw6\xp6dev\TIPTOOL.CPY
	include	\fcw6\xp6dev\TOOLS.CPY
	include	\fcw6\xp6dev\COLORS.CPY
	include	\fcw6\xp6dev\LAYERS.CPY
	include	\fcw6\xp6dev\FONTS.CPY
	include	\fcw6\xp6dev\OPFLAGS.CPY
	include	\fcw6\xp6dev\DSTYLESO.CPY
	include	\fcw6\xp6dev\DSTYLES2.CPY
	include	\fcw6\xp6dev\MESSAGES.CPY
	include	\fcw6\xp6dev\TIMERS.CPY
	include	\fcw6\xp6dev\BMPSUBS.CPY
	include	\fcw6\xp6dev\VERNO.CPY	

;	---------------------------------------------------------------
;	Required data variables
;	---------------------------------------------------------------
.data
		IFDEF	Main
s87		word	0
		ENDIF

BUILD_DATE	equ	<>
BUILD_DATE	CATSTR	<">, @Date, <">

BUILD_TIME	equ	<>
BUILD_TIME	CATSTR	<">, @Time, <">

	include	HEADER.CPY

;	---------------------------------------------------------------
;	Processor/Math chip specification
;	---------------------------------------------------------------
;
c86	equ	1	;8088/8086/80188/80186
c286	equ	2	;80286
c386	equ	4	;80386
c486	equ	8	;80486
c586	equ	16	;pentium
;
e87	equ	0	;8087 emulator
c87	equ	1	;8087
c287	equ	2	;80287
c387	equ	4	;80387
c487	equ	8	;80487
win87	equ	16	;windows emulator
;
;	---------------------------------------------------------------
;	Current configuration selections
;	---------------------------------------------------------------
;
cpu	equ	c386	;processor chip
cpu87	equ	c387	;math coprocessor
;
;	===============================================================
