;	===============================================================
;	XPMSG.CPY - XPMessage ID #s
;	===============================================================
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 4-15-96
;	---------------------------------------------------------------

XPM_AllLoaded		equ	1	;all XPs have been loaded
XPM_BeforeSave		equ	2	;about to save drawing
XPM_AfterLoad		equ	3	;after drawing load/new
XPM_ImportECW		equ	4	;ECW imported
XPM_ImportFCD		equ	5	;FCD imported
XPM_Import		equ	6	;after import of drawing by
;					; any import filter. The specific
;					; type message has already been
;					; sent by the filter function.
XPM_Undo		equ	7	;undo command starting
;					;selected ents will toggle erase
XPM_Parts		equ	8	;one or more parts have been inserted
XPM_DwgUpdate		equ	9	;an old format dwg will be updated
;					;esi = old DBVERSION #
;					;edi = target DBVERSION #
XPM_BeforeCmd		equ	10	;a new command is about to be executed
;					;esi -> new command
XPM_BkgndChg		equ	11	;background color changed
XPM_AfterCmd		equ	12	;a command has finished
XPM_CurColorChg		equ	13	;current color changed
XPM_AddMenu		equ	14	;SVC AddMenu May be called
XPM_SetMarkers		equ	16	;set menu marker commands now
XPM_InterCom		equ	17	;InterCom message pass-thru
XPM_Quiting		equ	18	;program is quitting
XPM_Guide		equ	19	;start guide file name at ESI
XPM_DLDESTROY		equ	20	;ESI = hDL about to be destroyed
XPM_DWGSettings		equ	21	;Sent by XPDWG2.DLL, ESI = settings struct

XPID_Guide		equ	0021h	;XPID of GUIDE
XPID_SymCat		equ	0022h	;XPID of SYMCAT
XPID_ASave		equ	0023h	;XPID of ASAVE
