;	===============================================================
;	SVIB.CPY - Screen Views Info Block structure
;	===============================================================
;
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 3-16-96
;
;	===============================================================
;	Screen set structure (one instance of screen layout)
;	===============================================================

SSet		struc
RLen		dword	SIZEOF(SSet)	;current size of this screen set
SName		SBYTE	32 dup (0)	;name of screen set
NrWin		word	1		;# of DWINs in this set
AwNr		word	0		;active window # 0..NrWin-1
SView		ViewP	<>		;DWIN view parms for win #0
;;;		ViewP	<>		;DWIN parms for next DWIN etc.
SSet		ends

;	===============================================================
;	Screen Views Information block header
;	===============================================================

SVIB		struc
ERLen		dword	SIZEOF (SVIB)	;std info block header
EType		byte	ET_IB		;EType = Info Block
IType		byte	IB_SVIEW	;IB type = Screen Views
Creator		word	0		;XPID (0=core)
AllocLen	dword	sizeof(SVIB)	;allocation length
flags		word	0		;flags (unused)
nsets		word	1		;current # of screen sets
cset		word	0		;current selected screen set #
stdset		SSet	<>		;standard screen set
;;;		SSet	<>		;additional SSets follow
SVIB		ends

