;	===============================================================
;	WALL2.CPY - 2d Wall entity service routines
;	===============================================================
;	Copyright 1998 Evolution Computing
;	All rights reserved
;	Written by Michael Riddle 10-10-98
;	===============================================================

WAddSpan	proto	stdcall,pWall:dword,X:real4,Y:real4,T:dword,\
			FromNodeID:dword,pToNID:dword
WFindNode	proto	stdcall,pWall:dword,NodeID:dword
WMatchNode	proto	stdcall,pWall:dword,X:real4,Y:real4
WRemoveSpan	proto	stdcall,pWall:dword,nFromID:dword,nToID:dword
WGenEdges	proto	stdcall,pWall:dword,pProcess:dword
WGenNodes	proto	stdcall,pWall:dword,pProcess:dword
WGProcess	proto	stdcall,pProcess:dword
WGetNodes	proto	stdcall,pFrom:dword,pTo:dword
WInsertNode	proto	stdcall,pWall:dword,X:real4,Y:real4
WFindSpan	proto	stdcall,pNode:dword,nID:dword
WAskInside	proto	stdcall,pWall:dword,X:real4,Y:real4
WAngSame	proto	stdcall,pNode:dword,Ang:real4
WRecalcAng	proto	stdcall,pWall:dword
WChgWidAll	proto	stdcall,pWall:dword,W:real4
WChgWidSpan	proto	stdcall,pWall:dword,nFID:dword,nTID:dword,W:real4
WChgWidEnd	proto	stdcall,pWall:dword,nFID:dword,nTID:dword,W:real4
WOfstWidAll	proto	stdcall,pWall:dword,W:real4
WDelEmpty	proto	stdcall,pWall:dword
WChkInts	proto	stdcall,pWall:dword,pSLine:dword
WallCut		proto	stdcall,pWall:dword,pLine:dword

IDM_WL_LOW	equ	6100	;lowest wall popup menu id
IDM_WL_HI	equ	6120	;highest wall popup menu id
IDM_WL_NEXT	equ	6100
IDM_WL_BREAK	equ	6101
IDM_WL_OK	equ	6102
IDM_WL_CANCEL	equ	6103
IDM_WL_RMV	equ	6104
IDM_WL_CUT	equ	6105
IDM_WL_WID	equ	6106
IDM_WL_CHGA	equ	6107
IDM_WL_CHGS	equ	6108
IDM_WL_CHGE	equ	6109
IDM_WL_OFST	equ	6110
IDM_WL_ROOM	equ	6111
IDM_WL_LEFT	equ	6112
IDM_WL_CENTER	equ	6113
IDM_WL_RIGHT	equ	6114

Place		struc			;smart symbol placement struc
AtX		real4	0.0
AtY		real4	0.0
AtZ		real4	0.0
scalex		real4	1.0
scaley		real4	1.0
scalez		real4	1.0
rotxy		real4	0.0
rotyz		real4	0.0
rotzx		real4	0.0
flags		dword	0
TM		TMat	<>		;matrix embodying setup
Place		ends
